Create the workspace copy of a preset and submit it for approval
curl --request POST \
--url https://api.pineyard.ai/whatsapp/templates/presets/{id}/install \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/templates/presets/{id}/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/templates/presets/{id}/install"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"template": {
"id": "<string>",
"purpose": "<string>",
"providerName": "<string>",
"languageCode": "<string>",
"category": "MARKETING",
"headerKind": "NONE",
"headerBindings": [
null
],
"bodyBindings": [
null
],
"buttonBindings": {},
"bodyPreview": "<string>",
"status": "DRAFT",
"senderId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"components": [
null
],
"sampleValues": {},
"rejectionReason": "<string>",
"providerCheckedAt": "<string>",
"submissionIsAutomatic": true,
"requiresRuntimeContext": true,
"headerMediaFileName": "<string>",
"headerMediaAttached": true,
"clicks": 123,
"trackedLinks": 123,
"providerCategory": "MARKETING"
},
"created": true,
"submitted": true,
"submitNote": "<string>"
}Templates
Create the workspace copy of a preset and submit it for approval
POST
/
whatsapp
/
templates
/
presets
/
{id}
/
install
Create the workspace copy of a preset and submit it for approval
curl --request POST \
--url https://api.pineyard.ai/whatsapp/templates/presets/{id}/install \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/templates/presets/{id}/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/templates/presets/{id}/install"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"template": {
"id": "<string>",
"purpose": "<string>",
"providerName": "<string>",
"languageCode": "<string>",
"category": "MARKETING",
"headerKind": "NONE",
"headerBindings": [
null
],
"bodyBindings": [
null
],
"buttonBindings": {},
"bodyPreview": "<string>",
"status": "DRAFT",
"senderId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"components": [
null
],
"sampleValues": {},
"rejectionReason": "<string>",
"providerCheckedAt": "<string>",
"submissionIsAutomatic": true,
"requiresRuntimeContext": true,
"headerMediaFileName": "<string>",
"headerMediaAttached": true,
"clicks": 123,
"trackedLinks": 123,
"providerCategory": "MARKETING"
},
"created": true,
"submitted": true,
"submitNote": "<string>"
}
